Get FindAll Run Schema
curl --request GET \
--url https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/parallel/findall/runs/{findall_id}/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objective": "Find all AI companies that raised Series A funding in 2024",
"entity_type": "companies",
"match_conditions": [
{
"name": "developing_ai_products_check",
"description": "Company must be developing artificial intelligence (AI) products"
}
],
"enrichments": [
{
"processor": "core",
"output_schema": {
"json_schema": {
"type": "object",
"properties": {
"ceo_name": {
"type": "string",
"description": "Name of the current CEO of the company. If the CEO is not publicly known, provide the name of the highest-ranking executive or founder. If no information is available, return null."
}
}
},
"type": "json"
}
}
],
"generator": "core",
"match_limit": 50
}Parallel.ai
Get FindAll Run Schema
Get FindAll Run Schema
GET
https://api.aisa.one
/
apis
/
v1
/
parallel
/
findall
/
runs
/
{findall_id}
/
schema
Get FindAll Run Schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Response model for FindAll ingest.
Natural language objective of the FindAll run.
Example:
"Find all AI companies that raised Series A funding in 2024"
Type of the entity for the FindAll run.
List of match conditions for the FindAll run.
Show child attributes
Show child attributes
List of enrichment inputs for the FindAll run.
Show child attributes
Show child attributes
The generator of the FindAll run.
Available options:
base, core, pro, preview Max number of candidates to evaluate